name: Build Android APK

on:
  workflow_dispatch:
    inputs:
      profile:
        type: choice
        description: EAS build profile to use.
        default: production
        options:
          - preview
          - production

jobs:
  build_android:
    name: Build Android APK
    type: build
    environment: ${{ inputs.profile }}
    params:
      platform: android
      profile: ${{ inputs.profile }}
      message: Android ${{ inputs.profile }} APK from ${{ github.ref_name }}
